ETS2 - Iveco Evedys Bus V2.0 (1.39.x)

Euro Truck Simulator 2 Mods

The minimum ETS2 version required to get support is 1.39.
Versions below 1.37 (inclusive) are not supported at all.
It runs under both DX11 and OpenGL. It does not appear in AI. Other variants (eg 12m hull) are not planned.

Credits:Etrusan, Arma─čan


Similar Mods

Leave a comment


comment color Green comment color Silver comment color Blue comment color Black comment color Red comment color Yellow
Game Versions
Today Popular Mods
Latest Comments

ATS - Real Companies (1.39.x) - Dr Duck say; " Which companies? " - (2020-12-03 14:55:04)

ETS2 - Scania S500 PWT Stessens Truck (1.36.x) - KDC say; " hey could it be possible that this truck will get an update for version 1.39? " - (2020-12-03 11:45:47)

ETS2 - Hungary Map V0.9.28b (1.36.x) - nagy richard say; " blue " - (2020-12-02 18:32:22)

FS19 - Farm King V1.0 - Oliwier say; " Hala " - (2020-12-01 18:26:43)

ETS2 - Marcopolo G7 1800 DD Bus (1.39.x) - Juan say; " Dealer? " - (2020-12-01 17:16:57)

Back to Top